classification
Title: PyUnicode_WRITE_CHAR macro definition missing
Type: behavior Stage: resolved
Components: Documentation, Unicode Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Wolf.Ihlenfeldt, berker.peksag, cbrune, docs@python, ezio.melotti, loewis, python-dev, vstinner
Priority: normal Keywords: patch

Created on 2013-07-03 17:43 by Wolf.Ihlenfeldt, last changed 2016-04-24 00:07 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
unicode.rst.patch cbrune, 2013-07-12 17:55 review
Messages (6)
msg192247 - (view) Author: Wolf Ihlenfeldt (Wolf.Ihlenfeldt) Date: 2013-07-03 17:43
Above macro is mentioned in the documentation (3.3.2), but does not appear in the header files. Associated function PyUnicode_WriteChar() is present and works as expected.
msg192282 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2013-07-04 10:09
I'll declare that the documentation is in error. I was pondering adding this macro, and the API changed forth and back several times (also after other people started contributing to the new Unicode API). The API is now what is implemented, and the documentation should follow.
msg192335 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-07-05 16:50
I don't remember where this macro come from. 

It is mention in my review of the PEP (the text of the PEP, not the implementation):
http://mail.python.org/pipermail/python-dev/2011-September/113668.html

PyUnicode_WRITE_CHAR() was removed from the PEP by the following commit:
http://hg.python.org/peps/rev/5c69799e1a94

I'm not sure that the macro ever existed :-)

Anyway, it should be removed from the doc!
msg192953 - (view) Author: Corey Brune (cbrune) Date: 2013-07-12 17:55
Hello all,
I removed the reference to PyUnicode_WRITE_CHAR macro in unicode.rst. 

Thanks,
Corey
msg264078 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-04-24 00:06
New changeset 29e555e5956b by Berker Peksag in branch '3.5':
Issue #18353: Remove PyUnicode_WRITE_CHAR macro link from c-api/unicode.rst
https://hg.python.org/cpython/rev/29e555e5956b

New changeset 8c53fdc011a3 by Berker Peksag in branch 'default':
Issue #18353: Remove PyUnicode_WRITE_CHAR macro link from c-api/unicode.rst
https://hg.python.org/cpython/rev/8c53fdc011a3
msg264079 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-04-24 00:07
Thanks for the report Wolf and thanks for the patch Corey.
History
Date User Action Args
2016-04-24 00:07:37berker.peksagsetstatus: open -> closed

type: compile error -> behavior
versions: + Python 3.5, Python 3.6, - Python 3.3
nosy: + berker.peksag

messages: + msg264079
resolution: fixed
stage: resolved
2016-04-24 00:06:49python-devsetnosy: + python-dev
messages: + msg264078
2013-07-12 17:55:08cbrunesetfiles: + unicode.rst.patch

nosy: + cbrune
messages: + msg192953

keywords: + patch
2013-07-05 16:50:02vstinnersetnosy: + vstinner
messages: + msg192335
2013-07-04 10:09:41loewissetnosy: + loewis
messages: + msg192282
2013-07-03 17:43:07Wolf.Ihlenfeldtcreate